| Home | Libraries | People | FAQ | More

###### array::operator= (1 of 3 overloads)

Copy assignment.

###### Synopsis

    array&
    operator=(
        array const& other);

###### Description

The contents of the array are replaced with an element-wise copy of `other`.

###### Complexity

Linear in `size()` plus `other.size()`.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Parameters

Name | Description
--- | ---
`other` | The array to copy.